/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __FTP_SQUIDCACHE_H__
#define __FTP_SQUIDCACHE_H__

int squidcache_init(void);

int transfermode_squidcache_in(int fd_in,
				struct transfer_t* transfer,
				struct proxyinfo* pi);

int transfermode_squidcache_deinit_server(struct proxyinfo* pi,
					struct messagebuffer* msgbuf,
					struct ftp_message* server_msg);

int transfermode_squidcache_in_from_cache_init(const char* cmd,
					       const char** args,
					       struct proxyinfo* pi,
					       struct messagebuffer* msgbuf,
					       struct ftp_message* server_msg);

#endif /* __FTP_SQUIDCACHE_H__ */

