/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __JFTPGW_MODULES_H__
#define __JFTPGW_MODULES_H__

#include "ftp_main.h"

#define MODULE_HOOK_PROXY_INIT_COMPLETE		EVENT_PROXY_INIT_COMPLETE
#define MODULE_HOOK_PROXY_INIT_CONFIG		EVENT_PROXY_INIT_CONFIG
#define MODULE_HOOK_FTP_LOGINTYPE_INIT		EVENT_FTP_LOGINTYPE_INIT
#define MODULE_HOOK_FTP_CMDHANDLER_INIT		EVENT_FTP_CMDHANDLER_INIT

typedef int(*module_callback_func_t)(struct proxyinfo*);
void module_hook_register(int type,
			  module_callback_func_t func,
			  char* description);

#endif  /* __JFTPGW_MODULES_H__ */
